Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::views::remove_if_base_fn Struct Reference

## Description

Given a source range, unary predicate, and optional projection, present a view of the elements that do not satisfy the predicate.

Inheritance diagram for ranges::views::remove_if_base_fn:

## Public Member Functions
template<typename Rng , typename Pred >
constexpr remove_if_view< all_t< Rng >, Pred > | operator() (Rng &&rng, Pred pred) const
template<typename Rng , typename Pred , typename Proj >
constexpr remove_if_view< all_t< Rng >, composed< Pred, Proj > > | operator() (Rng &&rng, Pred pred, Proj proj) const

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename Rng , typename Pred >

constexpr remove_if_view<all_t<Rng>, Pred> ranges::views::remove_if_base_fn::operator() | ( | Rng && | rng,
|  | Pred | pred
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred, iterator_t<Rng>>`

## ◆ operator()() [2/2]

template<typename Rng , typename Pred , typename Proj >

constexpr remove_if_view<all_t<Rng>, composed<Pred, Proj> > ranges::views::remove_if_base_fn::operator() | ( | Rng && | rng,
|  | Pred | pred,
|  | Proj | proj
| ) |  | const
| constexpr

Precondition
  requires `viewable_range<Rng> && input_range<Rng> && indirect_unary_predicate<Pred, projected<iterator_t<Rng>, Proj>>`

References ranges::aux::move.